clear all;
close all;
%-------------------------------------------------------------------------------------------
X = [0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46];
 
Xrow = [0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46];

Ycol = [142.5 143.3125 144.125 144.9375 145.75 146.5625 147.375 148.1875 149 149.8125 150.625 151.4375 152.25 153.0625 153.875 154.6875 155.5];
 
Y = [Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol]*10^9;

x = reshape(X,17,17)';

y = reshape(Y,17,17)';

z = [
0.000922194	0.000916176	0.000909947	0.000903507	0.000896856	0.000889989	0.000882906	0.000875604	0.000868078	0.000860323	0.000852332	0.000844094	0.000835592	0.000826803	0.000817687	0.000808177	0.000798146;
0.000916966	0.000910982	0.000904788	0.000898385	0.000891771	0.000884944	0.000877901	0.00087064	0.000863157	0.000855446	0.0008475	0.000839308	0.000830855	0.000822116	0.000813051	0.000803594	0.000793621;
0.000911797	0.000905846	0.000899687	0.000893321	0.000886743	0.000879954	0.000872951	0.000865731	0.000858291	0.000850623	0.000842722	0.000834577	0.00082617	0.000817481	0.000808467	0.000799064	0.000789147;
0.000906685	0.000900768	0.000894644	0.000888313	0.000881772	0.000875022	0.000868058	0.000860878	0.000853479	0.000845855	0.000837998	0.000829899	0.00082154	0.000812898	0.000803936	0.000794585	0.000784724;
0.000901631	0.000895746	0.000889657	0.000883361	0.000876857	0.000870144	0.000863219	0.000856079	0.000848721	0.000841139	0.000833326	0.000825272	0.00081696	0.000808366	0.000799454	0.000790155	0.000780348;
0.000896633	0.000890781	0.000884725	0.000878464	0.000871996	0.00086532	0.000858433	0.000851334	0.000844016	0.000836476	0.000828707	0.000820697	0.000812431	0.000803885	0.000795022	0.000785775	0.000776023;
0.000891689	0.00088587	0.000879847	0.00087362	0.000867188	0.000860549	0.000853701	0.00084664	0.000839363	0.000831865	0.000824138	0.000816172	0.000807952	0.000799453	0.000790639	0.000781443	0.000771744;
0.000886801	0.000881013	0.000875022	0.000868831	0.000862433	0.000855832	0.00084902	0.000841998	0.000834761	0.000827304	0.000819619	0.000811697	0.000803522	0.00079507	0.000786303	0.000777158	0.000767513;
0.000881965	0.000876208	0.000870251	0.000864093	0.000857731	0.000851164	0.00084439	0.000837407	0.000830208	0.000822793	0.000815149	0.00080727	0.00079914	0.000790734	0.000782016	0.00077292	0.000763328;
0.000877181	0.000871457	0.000865531	0.000859406	0.000853079	0.000846548	0.000839811	0.000832865	0.000825706	0.00081833	0.000810729	0.000802893	0.000794806	0.000786446	0.000777775	0.000768729	0.000759188;
0.00087245	0.000866756	0.000860863	0.000854771	0.000848477	0.000841982	0.00083528	0.000828372	0.000821252	0.000813916	0.000806356	0.000798562	0.000790519	0.000782204	0.000773579	0.000764582	0.000755093;
0.000867769	0.000862105	0.000856244	0.000850185	0.000843925	0.000837464	0.000830799	0.000823928	0.000816846	0.000809549	0.000802029	0.000794277	0.000786278	0.000778007	0.000769429	0.00076048	0.000751041;
0.000863138	0.000857505	0.000851675	0.000845647	0.000839422	0.000832995	0.000826365	0.000819531	0.000812487	0.000805228	0.000797749	0.000790038	0.000782081	0.000773855	0.000765323	0.000756421	0.000747034;
0.000858556	0.000852953	0.000847153	0.000841159	0.000834965	0.000828573	0.000821979	0.00081518	0.000808174	0.000800954	0.000793514	0.000785845	0.00077793	0.000769748	0.00076126	0.000752406	0.000743068;
0.000854023	0.00084845	0.000842681	0.000836717	0.000830557	0.000824198	0.000817639	0.000810877	0.000803906	0.000796725	0.000789324	0.000781695	0.000773822	0.000765682	0.00075724	0.000748433	0.000739145;
0.000849538	0.000843992	0.000838254	0.000832322	0.000826194	0.000819868	0.000813344	0.000806617	0.000799684	0.00079254	0.000785179	0.00077759	0.000769758	0.000761661	0.000753263	0.000744502	0.000735262;
0.000845098	0.000839583	0.000833874	0.000827973	0.000821878	0.000815586	0.000809095	0.000802402	0.000795505	0.000788399	0.000781076	0.000773526	0.000765736	0.000757681	0.000749327	0.000740612	0.00073142];

%-------------------------------------------------------------------------------------------
% Plot: lambda(E,nu)
figure(1)
% tiledlayout(2,1)
% % Top plot
% ax1 = nexttile;
% stem(ax1,y,z)

% % Bottom plot
% ax2 = nexttile;  
% stem3(ax2,x,y,z,'MarkerFaceColor','r')

stem3(x,y,z,...
    'LineStyle','--',...
    'Marker','^',...
    'MarkerEdgeColor','[0.6350 0.0780 0.1840]',...
    'MarkerFaceColor','[0.6350 0.0780 0.1840]')

zlim([0.00071 0.00093])
ylim([142E9 156E9])
xlim([0.3 0.46])

xticks([0.30 0.32 0.35 0.38 0.40 0.43 0.46])
yticks([142.5E9 145E9 147E9 150E9 152E9 155.5E9])
zticks([0.00073 0.00078 0.00083 0.00088 0.00093])

title('Strain energy density $\mathcal{E}(E,\nu)$ - Low load - 60Ta-LLZO','interpreter','latex','FontSize',12);
ylabel('Young $E \ [N/m^2]$','interpreter','latex','FontSize',12); 
xlabel('Poisson $\nu \ [-]$','interpreter','latex','FontSize',12);
zlabel('$\mathcal{E} (E,\nu)$','interpreter','latex','FontSize',12);

set(gca,'TickLabelInterpreter','latex');
view([37 46]);
% pure view of E
% view([90 0]);
% pure view of nu
% view([0 0]);
grid on
set(gcf,'renderer','Painters')
print -depsc -tiff -r300 -painters Lowload_60TaDoped_strainenergy_LLZO_48e.eps
print -dpng Lowload_60TaDoped_strainenergy_LLZO_48e.png